POST
Finalize staking request for Go Account
Create a finalized staking request based on previously previewed data for a given asset and Go Account.
Path Params
-
coinstring enum requiredThe staking asset.OFCSOLOFCSUI -
accountIdstring requiredAccount ID to fetch the staking request for.
Body Params
ONE OF
-
clientIdstring nullable -
amountstring big-integer requiredAmount to stake, must be a positive value -
typestring enumMust always be STAKESTAKE -
frontTransferSendRequestobject nullableOptional transfer request to initiate before stakingfrontTransferSendRequest object
-
halfSignedobject requiredhalfSigned object
-
coinstring requiredThe coin type, e.g. "ofctsui" -
recipientsarray of objects requiredList of recipient addresses and amountsrecipients object
-
addressstring requiredDestination address for the withdrawal -
amountstring big-integer requiredAmount to send
-
-
fromAccountstring requiredSource account id -
noncestring uuid requiredUnique identifier for the transaction -
timestampstring date-time requiredISO 8601 timestamp when the half-signed payload was created -
feeStringstring requiredFee amount as a string -
shortCircuitBlockchainTransferbooleanIndicates whether to short-circuit blockchain transfer -
isIntraJXTransferbooleanIndicates whether the transfer is intra-JX -
payloadstring requiredRaw JSON payload string representing the unsigned transaction data -
signaturestring requiredSignature of the payload
-
-
commentstring nullable -
sequenceIdstring nullable -
goStakingRequestIdstring nullable
-
-
clientIdstring nullable -
amountstring big-integer requiredAmount to unstake, must be a positive value -
typestring enumMust always be UNSTAKEUNSTAKE
Responses
200
Staking request successfully created
Response Body
object
-
idstring uuid required -
clientIdstring -
statusstring enum requiredCoarse-grained status for staking requests.NEWPENDINGFAILEDREJECTEDCONFIRMEDCOOLDOWNWARMUPUNSUPPORTED -
typestring enumType of staking request.STAKEto delegate,UNSTAKEto undelegate.UNSUPPORTEDis a fallback.STAKEUNSTAKEUNSUPPORTED -
coinstring -
goAccountIdstring required -
errorstring -
amountstring big-integer required -
createdDatestring date-time required -
statusModifiedDatestring date-time -
propertiesobject requiredproperties object
-
amountstringAmount to stake or unstake, in base units
-
-
sourcestring enumMANUALAUTO_STAKE
400
Bad Request
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
401
Unauthorized
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
403
Forbidden
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject
500
Server Error - Transient error please try again
Response Body
object
-
errorstring -
errorNamestring -
reqIdstring -
contextobject